petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatColoringSetMaxColors

Sets the maximum number of colors

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatColoringSetMaxColors(MatColoring mc,PetscInt maxcolors)

Logically Collective on MatColoring Many br

### Input Parameter

| mc | - the MatColoring context Many br
| maxcolors | - the maximum number of colors to produce Many br

Many br

Notes: This may be used to compute a certain number of Many brindependent sets from the graph. For instance, while using Many brMATCOLORINGMIS and maxcolors = 1, one gets out an MIS. Vertices Many brnot in a color are set to have color maxcolors+1, which is not Many bra valid color as they may be adjacent. Many br

### Keywords

Coloring

### See Also

MatColoringGetMaxColors(), MatColoringApply()

Level:beginner
Location:src/mat/color/interface/matcoloring.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages